package com.zksy.common.utils.result;

/**
 * @Author sy
 * @Date 2022/04/11
 * @Description
 */
public enum ResponseCode {
    SUCCESS(200, "成功"),
    FAILED(400, "失败"),
    EXCEPTION(500, "异常"),
    ParamError(301, "参数有误"),


    ERROR_401(401, "未登录"),
    PasswordWrong(402, "密码不正确"),
    ERROR_403(403, "没有访问权限"),
    ERROR_404(404, "资源不存在"),
    OepeatOperate(405, "重复操作"),
    ERROR_500(500, "服务器错误"),

    // 弹窗警告
    DIALOG_WARN(701, "失败"),

    ;

    public int code;
    public String message;

    ResponseCode(int code, String message) {
        this.code = code;
        this.message = message;
    }
}
